import React, { FC, PropsWithChildren } from 'react';
import { GetContainer } from '../../utils/render-to-container';
import { MaskProps } from '../mask';
import { PropagationEvent } from '../../utils/with-stop-propagation';
import { NativeProps } from '../../utils/native-props';
export declare type CenterPopupProps = PropsWithChildren<{
    afterClose?: () => void;
    afterShow?: () => void;
    bodyClassName?: string;
    bodyStyle?: React.CSSProperties;
    destroyOnClose?: boolean;
    disableBodyScroll?: boolean;
    forceRender?: boolean;
    getContainer?: GetContainer;
    mask?: boolean;
    maskClassName?: string;
    maskStyle?: MaskProps['style'];
    onClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    onMaskClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    stopPropagation?: PropagationEvent[];
    visible?: boolean;
}> & NativeProps<'--background-color' | '--border-radius' | '--max-width' | '--min-width' | '--z-index'>;
export declare const CenterPopup: FC<CenterPopupProps>;
