import React, { FC, PropsWithChildren } from 'react';
import { NativeProps } from '../../utils/native-props';
import type { MaskProps } from '../mask';
import { GetContainer } from '../../utils/render-to-container';
import { PropagationEvent } from '../../utils/with-stop-propagation';
export declare type PopupProps = PropsWithChildren<{
    afterClose?: () => void;
    afterShow?: () => void;
    bodyClassName?: string;
    bodyStyle?: React.CSSProperties;
    destroyOnClose?: boolean;
    forceRender?: boolean;
    getContainer?: GetContainer;
    mask?: boolean;
    maskClassName?: string;
    maskStyle?: MaskProps['style'];
    onClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    onMaskClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    position?: 'bottom' | 'top' | 'left' | 'right';
    stopPropagation?: PropagationEvent[];
    visible?: boolean;
}> & NativeProps<'--z-index'>;
export declare const Popup: FC<PopupProps>;
