import React, { memo } from 'react';
import { useWatch } from 'rc-field-form';
import { useUpdate } from 'ahooks';
import Form from '.';
import { useIsomorphicUpdateLayoutEffect } from '../../utils/use-isomorphic-update-layout-effect';
export const FormSubscribe = props => {
  const update = useUpdate();
  return React.createElement(Form.Item, {
    noStyle: true,
    dependencies: props.to
  }, form => React.createElement(React.Fragment, null, props.children(form.getFieldsValue(props.to), form), props.to.map(namePath => React.createElement(Watcher, {
    key: namePath.toString(),
    form: form,
    namePath: namePath,
    onChange: update
  }))));
};
export const Watcher = memo(props => {
  const value = useWatch(props.namePath, props.form);
  useIsomorphicUpdateLayoutEffect(() => {
    props.onChange();
  }, [value]);
  return null;
});